BigCommerce for Wordpress

Install

Requirements

The BigCommerce for WordPress plugin requires:

  • At least PHP 5.6 (7.1+ recommended)
  • MySQL: 5.5+ (5.6+ recommended)
  • WordPress: 4.8+
  • SSL
  • The PHP intl extension is not required, but will enable better currency formatting

Installation

During the beta period, interested developers can go to https://bigcommerce.com/wordpress and sign up for access to our github repo. From there you can download a zip of the latest version and install it as a normal plugin.

If you do a pull then you’ll need to build assets, so it’s recommended that you download the zip file.


Plugin Installation in WordPress

Once you have the BigCommerce for WordPress plugin saved to your computer, go into the WordPress admin area and click on the Add New menu under the Plugins menu.

BigCommerce Wordpress Plugin Installation
BigCommerce Wordpress Plugin Installation

On the next page, in the top, click on the “Upload Plugin” button.

Upload Plugin Button
Upload Plugin Button

Then upload your plugin. Once the plugin is uploaded you’ll need to activate it.

Activate Plugin
Activate Plugin

Once the plugin is activated then you may follow the Setup Wizard.